PROJECT = "Rlian-GATEWAY-G33"
VERSION = "1.0.35"
PRODUCT_KEY = "ddd0422aef65441cbe1c6cccd84e2fa0"
require 'log'
LOG_LEVEL = log.LOGLEVEL_TRACE
_G.COROUTINE_ERROR_RESTART = true
require 'sys'

require "ntp"
require "common"
require "net"
require "nvm"
require "config"



nvm.init("config.lua")
--开机次数+1
nvm.set("bootNum", nvm.get("bootNum") + 1)	

net.startQueryAll(60000,600000) --1分钟查询1次信号强度，10分钟查询1次基站信息

require "netLed"

ntp.timeSync()
 
require "errDump"
-- errDump.request("udp://ota.airm2m.com:9072")
errDump.setNetworkLog(true)
local errorLogReportUrl = nvm.get("errorLogReportUrl") or "udp://47.114.185.186:11114"
local errorLogReportInterval = nvm.get("errorLogReportInterval") or 600
errDump.request(errorLogReportUrl,errorLogReportInterval*1000)

require "devTool"
require "sdModuel"
require "logModuel"
require "gpsTask"
require "ledTask"
require "g33mqtt"
require "modbusTT"
require "otaTask"
require "powerManage"

-- 自动垃圾回收
collectgarbage("setpause", 90)




sys.init(0, 0)
sys.run()