module(...,package.seeall)
require"nvm"
local otaUrl = nvm.get("otaUrl")
local otaCheckInterval = nvm.get("otaCheckInterval")
--[[
使用Luat物联云平台的升级服务器时，按照如下步骤操作
1、在main.lua中定义PRODUCT_KEY变量
2、加载update模块 require"update"
3、调用update.request()即可
]]
require"update"

local function otaUpdateCb(result)
    if result then
        log.info("otaTask.otaUpdateCb","ota update download success, start reboot...")
        --用新的config.lua覆盖原来的参数文件
        --nvm.remove()
        sys.restart("UPDATE_DOWNLOAD_SUCCESS")
    else
        sys.publish("ota_update_check_end")
        log.info("otaTask.otaUpdateCb","ota update download failed!")
    end
end

update.request(otaUpdateCb,otaUrl,otaCheckInterval * 1000)


sys.timerLoopStart(log.info,30000,"otaTask.timerLoopStart",rtos.get_version(),_G.VERSION,rtos.poweron_reason(),"Flash(Byte):",rtos.get_fs_free_size(),"RAM(KB):", collectgarbage("count"))
